void jpsi_pt_toy()
{
//=========Macro generated from canvas: c1/
//=========  (Tue May 23 00:11:59 2023) by ROOT version 6.20/00
   TCanvas *c1 = new TCanvas("c1", "",0,0,800,600);
   gStyle->SetOptStat(0);
   gStyle->SetOptTitle(0);
   c1->SetHighLightColor(2);
   c1->Range(0,0,1,1);
   c1->SetFillColor(0);
   c1->SetBorderMode(0);
   c1->SetBorderSize(2);
   c1->SetTickx(1);
   c1->SetTicky(1);
   c1->SetLeftMargin(0.16);
   c1->SetRightMargin(0.05);
   c1->SetTopMargin(0.08);
   c1->SetBottomMargin(0.17);
   c1->SetFrameLineWidth(2);
   c1->SetFrameBorderMode(0);
   
   TH1F *jpsi_pt__13 = new TH1F("jpsi_pt__13","",10,0,10);
   jpsi_pt__13->SetBinContent(1,0.2361775);
   jpsi_pt__13->SetBinContent(2,0.2187558);
   jpsi_pt__13->SetBinContent(3,0.1972819);
   jpsi_pt__13->SetBinContent(4,0.1744383);
   jpsi_pt__13->SetBinContent(5,0.04137714);
   jpsi_pt__13->SetBinContent(6,0.04794129);
   jpsi_pt__13->SetBinContent(7,0.04973542);
   jpsi_pt__13->SetBinContent(8,0.0294895);
   jpsi_pt__13->SetBinContent(9,-0.008827253);
   jpsi_pt__13->SetBinContent(10,0.01363046);
   jpsi_pt__13->SetBinError(1,0.09435303);
   jpsi_pt__13->SetBinError(2,0.07907028);
   jpsi_pt__13->SetBinError(3,0.06834006);
   jpsi_pt__13->SetBinError(4,0.06685713);
   jpsi_pt__13->SetBinError(5,0.04109467);
   jpsi_pt__13->SetBinError(6,0.02757246);
   jpsi_pt__13->SetBinError(7,0.02555674);
   jpsi_pt__13->SetBinError(8,0.03003553);
   jpsi_pt__13->SetBinError(9,0.005851724);
   jpsi_pt__13->SetBinError(10,0.01470779);
   jpsi_pt__13->SetMinimum(0);
   jpsi_pt__13->SetMaximum(0.4);
   jpsi_pt__13->SetEntries(35.02664);
   jpsi_pt__13->SetStats(0);
   jpsi_pt__13->SetLineWidth(2);
   jpsi_pt__13->SetMarkerStyle(20);
   jpsi_pt__13->GetXaxis()->SetTitle("#it{p}_{T}(#it{J/#kern[-0.3]{#psi}}) [GeV/#it{c}]");
   jpsi_pt__13->GetXaxis()->SetNdivisions(505);
   jpsi_pt__13->GetXaxis()->SetLabelFont(132);
   jpsi_pt__13->GetXaxis()->SetLabelOffset(0.01);
   jpsi_pt__13->GetXaxis()->SetLabelSize(0.06);
   jpsi_pt__13->GetXaxis()->SetTitleSize(0.072);
   jpsi_pt__13->GetXaxis()->SetTitleOffset(0.95);
   jpsi_pt__13->GetXaxis()->SetTitleFont(132);
   jpsi_pt__13->GetYaxis()->SetTitle("d#it{#sigma}/d#it{p}_{T}/#it{#sigma}_{tot} [(GeV/#it{c})^{-1}]");
   jpsi_pt__13->GetYaxis()->SetLabelFont(132);
   jpsi_pt__13->GetYaxis()->SetLabelOffset(0.01);
   jpsi_pt__13->GetYaxis()->SetLabelSize(0.06);
   jpsi_pt__13->GetYaxis()->SetTitleSize(0.072);
   jpsi_pt__13->GetYaxis()->SetTitleOffset(1.05);
   jpsi_pt__13->GetYaxis()->SetTitleFont(132);
   jpsi_pt__13->GetZaxis()->SetLabelFont(132);
   jpsi_pt__13->GetZaxis()->SetLabelSize(0.06);
   jpsi_pt__13->GetZaxis()->SetTitleSize(0.072);
   jpsi_pt__13->GetZaxis()->SetTitleOffset(1);
   jpsi_pt__13->GetZaxis()->SetTitleFont(132);
   jpsi_pt__13->Draw("");
   
   Double_t Graph0_fx13[17] = {
   0,
   0.3333333,
   1,
   1.666667,
   2.333333,
   3,
   3.666667,
   4.333333,
   5,
   5.666667,
   6.333333,
   7,
   7.666667,
   8.333333,
   9,
   9.666667,
   10};
   Double_t Graph0_fy13[17] = {
   0,
   0.1117185,
   0.1932634,
   0.2546779,
   0.2388758,
   0.2016577,
   0.1515072,
   0.1111901,
   0.07746169,
   0.0539167,
   0.03722608,
   0.02499698,
   0.01736003,
   0.01185931,
   0.008298626,
   0.005989858,
   0.004835474};
   TGraph *graph = new TGraph(17,Graph0_fx13,Graph0_fy13);
   graph->SetName("Graph0");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);

   Int_t ci;      // for color index setting
   TColor *color; // for color definition with alpha
   ci = TColor::GetColor("#ff0000");
   graph->SetLineColor(ci);
   graph->SetLineWidth(4);

   ci = TColor::GetColor("#ff0000");
   graph->SetMarkerColor(ci);
   graph->SetMarkerStyle(20);
   graph->Draw("s c");
   
   TH1F *jpsi_pt__14 = new TH1F("jpsi_pt__14","",10,0,10);
   jpsi_pt__14->SetBinContent(1,0.2361775);
   jpsi_pt__14->SetBinContent(2,0.2187558);
   jpsi_pt__14->SetBinContent(3,0.1972819);
   jpsi_pt__14->SetBinContent(4,0.1744383);
   jpsi_pt__14->SetBinContent(5,0.04137714);
   jpsi_pt__14->SetBinContent(6,0.04794129);
   jpsi_pt__14->SetBinContent(7,0.04973542);
   jpsi_pt__14->SetBinContent(8,0.0294895);
   jpsi_pt__14->SetBinContent(9,-0.008827253);
   jpsi_pt__14->SetBinContent(10,0.01363046);
   jpsi_pt__14->SetBinError(1,0.09435303);
   jpsi_pt__14->SetBinError(2,0.07907028);
   jpsi_pt__14->SetBinError(3,0.06834006);
   jpsi_pt__14->SetBinError(4,0.06685713);
   jpsi_pt__14->SetBinError(5,0.04109467);
   jpsi_pt__14->SetBinError(6,0.02757246);
   jpsi_pt__14->SetBinError(7,0.02555674);
   jpsi_pt__14->SetBinError(8,0.03003553);
   jpsi_pt__14->SetBinError(9,0.005851724);
   jpsi_pt__14->SetBinError(10,0.01470779);
   jpsi_pt__14->SetMinimum(0);
   jpsi_pt__14->SetMaximum(0.4);
   jpsi_pt__14->SetEntries(35.02664);
   jpsi_pt__14->SetStats(0);
   jpsi_pt__14->SetLineWidth(2);
   jpsi_pt__14->SetMarkerStyle(20);
   jpsi_pt__14->GetXaxis()->SetTitle("#it{p}_{T}(#it{J/#kern[-0.3]{#psi}}) [GeV/#it{c}]");
   jpsi_pt__14->GetXaxis()->SetNdivisions(505);
   jpsi_pt__14->GetXaxis()->SetLabelFont(132);
   jpsi_pt__14->GetXaxis()->SetLabelOffset(0.01);
   jpsi_pt__14->GetXaxis()->SetLabelSize(0.06);
   jpsi_pt__14->GetXaxis()->SetTitleSize(0.072);
   jpsi_pt__14->GetXaxis()->SetTitleOffset(0.95);
   jpsi_pt__14->GetXaxis()->SetTitleFont(132);
   jpsi_pt__14->GetYaxis()->SetTitle("d#it{#sigma}/d#it{p}_{T}/#it{#sigma}_{tot} [(GeV/#it{c})^{-1}]");
   jpsi_pt__14->GetYaxis()->SetLabelFont(132);
   jpsi_pt__14->GetYaxis()->SetLabelOffset(0.01);
   jpsi_pt__14->GetYaxis()->SetLabelSize(0.06);
   jpsi_pt__14->GetYaxis()->SetTitleSize(0.072);
   jpsi_pt__14->GetYaxis()->SetTitleOffset(1.05);
   jpsi_pt__14->GetYaxis()->SetTitleFont(132);
   jpsi_pt__14->GetZaxis()->SetLabelFont(132);
   jpsi_pt__14->GetZaxis()->SetLabelSize(0.06);
   jpsi_pt__14->GetZaxis()->SetTitleSize(0.072);
   jpsi_pt__14->GetZaxis()->SetTitleOffset(1);
   jpsi_pt__14->GetZaxis()->SetTitleFont(132);
   jpsi_pt__14->Draw("sames");
   
   Double_t Graph1_fx14[12] = {
   0,
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10};
   Double_t Graph1_fy14[12] = {
   0,
   0.1394434,
   0.2556718,
   0.2259666,
   0.1552816,
   0.09645617,
   0.05713347,
   0.03299233,
   0.01899481,
   0.01122327,
   0.006836547,
   0.004643186};
   graph = new TGraph(12,Graph1_fx14,Graph1_fy14);
   graph->SetName("Graph1");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);

   ci = TColor::GetColor("#009900");
   graph->SetLineColor(ci);
   graph->SetLineStyle(9);
   graph->SetLineWidth(3);

   ci = TColor::GetColor("#009900");
   graph->SetMarkerColor(ci);
   graph->SetMarkerStyle(20);
   graph->Draw("s c");
   
   Double_t Graph2_fx15[12] = {
   0,
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10};
   Double_t Graph2_fy15[12] = {
   0,
   0.1127251,
   0.2249491,
   0.2121019,
   0.1576052,
   0.1067837,
   0.0706668,
   0.04690849,
   0.03137921,
   0.0216092,
   0.01527126,
   0.01210228};
   graph = new TGraph(12,Graph2_fx15,Graph2_fy15);
   graph->SetName("Graph2");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);

   ci = TColor::GetColor("#0000ff");
   graph->SetLineColor(ci);
   graph->SetLineStyle(2);
   graph->SetLineWidth(4);

   ci = TColor::GetColor("#0000ff");
   graph->SetMarkerColor(ci);
   graph->SetMarkerStyle(20);
   graph->Draw("s c ");
   
   TH1F *jpsi_pt__15 = new TH1F("jpsi_pt__15","",10,0,10);
   jpsi_pt__15->SetBinContent(1,0.2361775);
   jpsi_pt__15->SetBinContent(2,0.2187558);
   jpsi_pt__15->SetBinContent(3,0.1972819);
   jpsi_pt__15->SetBinContent(4,0.1744383);
   jpsi_pt__15->SetBinContent(5,0.04137714);
   jpsi_pt__15->SetBinContent(6,0.04794129);
   jpsi_pt__15->SetBinContent(7,0.04973542);
   jpsi_pt__15->SetBinContent(8,0.0294895);
   jpsi_pt__15->SetBinContent(9,-0.008827253);
   jpsi_pt__15->SetBinContent(10,0.01363046);
   jpsi_pt__15->SetBinError(1,0.09435303);
   jpsi_pt__15->SetBinError(2,0.07907028);
   jpsi_pt__15->SetBinError(3,0.06834006);
   jpsi_pt__15->SetBinError(4,0.06685713);
   jpsi_pt__15->SetBinError(5,0.04109467);
   jpsi_pt__15->SetBinError(6,0.02757246);
   jpsi_pt__15->SetBinError(7,0.02555674);
   jpsi_pt__15->SetBinError(8,0.03003553);
   jpsi_pt__15->SetBinError(9,0.005851724);
   jpsi_pt__15->SetBinError(10,0.01470779);
   jpsi_pt__15->SetMinimum(0);
   jpsi_pt__15->SetMaximum(0.4);
   jpsi_pt__15->SetEntries(35.02664);
   jpsi_pt__15->SetStats(0);
   jpsi_pt__15->SetLineWidth(2);
   jpsi_pt__15->SetMarkerStyle(20);
   jpsi_pt__15->GetXaxis()->SetTitle("#it{p}_{T}(#it{J/#kern[-0.3]{#psi}}) [GeV/#it{c}]");
   jpsi_pt__15->GetXaxis()->SetNdivisions(505);
   jpsi_pt__15->GetXaxis()->SetLabelFont(132);
   jpsi_pt__15->GetXaxis()->SetLabelOffset(0.01);
   jpsi_pt__15->GetXaxis()->SetLabelSize(0.06);
   jpsi_pt__15->GetXaxis()->SetTitleSize(0.072);
   jpsi_pt__15->GetXaxis()->SetTitleOffset(0.95);
   jpsi_pt__15->GetXaxis()->SetTitleFont(132);
   jpsi_pt__15->GetYaxis()->SetTitle("d#it{#sigma}/d#it{p}_{T}/#it{#sigma}_{tot} [(GeV/#it{c})^{-1}]");
   jpsi_pt__15->GetYaxis()->SetLabelFont(132);
   jpsi_pt__15->GetYaxis()->SetLabelOffset(0.01);
   jpsi_pt__15->GetYaxis()->SetLabelSize(0.06);
   jpsi_pt__15->GetYaxis()->SetTitleSize(0.072);
   jpsi_pt__15->GetYaxis()->SetTitleOffset(1.05);
   jpsi_pt__15->GetYaxis()->SetTitleFont(132);
   jpsi_pt__15->GetZaxis()->SetLabelFont(132);
   jpsi_pt__15->GetZaxis()->SetLabelSize(0.06);
   jpsi_pt__15->GetZaxis()->SetTitleSize(0.072);
   jpsi_pt__15->GetZaxis()->SetTitleOffset(1);
   jpsi_pt__15->GetZaxis()->SetTitleFont(132);
   jpsi_pt__15->Draw("sames");
   TLatex *   tex = new TLatex(0.65,0.8,"LHCb 13 TeV");
tex->SetNDC();
   tex->SetTextAlign(12);
   tex->SetTextFont(132);
   tex->SetTextSize(0.06);
   tex->SetLineWidth(2);
   tex->Draw();
      tex = new TLatex(0.65,0.722,"#it{L}_{int} = 4.18 fb^{-1}");
tex->SetNDC();
   tex->SetTextAlign(12);
   tex->SetTextFont(132);
   tex->SetTextSize(0.06);
   tex->SetLineWidth(2);
   tex->Draw();
   c1->Modified();
   c1->cd();
   c1->SetSelected(c1);
}
