void upsilon_pt_toy()
{
//=========Macro generated from canvas: c1/
//=========  (Tue May 23 00:11:59 2023) by ROOT version 6.20/00
   TCanvas *c1 = new TCanvas("c1", "",0,0,800,600);
   gStyle->SetOptStat(0);
   gStyle->SetOptTitle(0);
   c1->SetHighLightColor(2);
   c1->Range(0,0,1,1);
   c1->SetFillColor(0);
   c1->SetBorderMode(0);
   c1->SetBorderSize(2);
   c1->SetTickx(1);
   c1->SetTicky(1);
   c1->SetLeftMargin(0.16);
   c1->SetRightMargin(0.05);
   c1->SetTopMargin(0.08);
   c1->SetBottomMargin(0.17);
   c1->SetFrameLineWidth(2);
   c1->SetFrameBorderMode(0);
   Double_t xAxis1[10] = {0, 1.5, 2.5, 4, 6, 8, 11, 14.5, 18.5, 24}; 
   
   TH1F *upsilon_pt__16 = new TH1F("upsilon_pt__16","",9, xAxis1);
   upsilon_pt__16->SetBinContent(1,0.03805777);
   upsilon_pt__16->SetBinContent(2,0.1040179);
   upsilon_pt__16->SetBinContent(3,0.2133798);
   upsilon_pt__16->SetBinContent(4,0.07187285);
   upsilon_pt__16->SetBinContent(5,0.0842895);
   upsilon_pt__16->SetBinContent(6,0.03953669);
   upsilon_pt__16->SetBinContent(7,0.006962734);
   upsilon_pt__16->SetBinContent(8,0.008826174);
   upsilon_pt__16->SetBinContent(9,0.005130309);
   upsilon_pt__16->SetBinContent(10,2.159166e-05);
   upsilon_pt__16->SetBinError(1,0.02800142);
   upsilon_pt__16->SetBinError(2,0.04979432);
   upsilon_pt__16->SetBinError(3,0.05932143);
   upsilon_pt__16->SetBinError(4,0.0325814);
   upsilon_pt__16->SetBinError(5,0.04613682);
   upsilon_pt__16->SetBinError(6,0.01570424);
   upsilon_pt__16->SetBinError(7,0.005356251);
   upsilon_pt__16->SetBinError(8,0.006010229);
   upsilon_pt__16->SetBinError(9,0.004005601);
   upsilon_pt__16->SetBinError(10,2.159166e-05);
   upsilon_pt__16->SetMinimum(0);
   upsilon_pt__16->SetMaximum(0.3);
   upsilon_pt__16->SetEntries(31.77295);
   upsilon_pt__16->SetStats(0);
   upsilon_pt__16->SetLineWidth(2);
   upsilon_pt__16->SetMarkerStyle(20);
   upsilon_pt__16->GetXaxis()->SetTitle("#it{p}_{T}(#it{#varUpsilon}(1#it{S})) [GeV/#it{c}]");
   upsilon_pt__16->GetXaxis()->SetNdivisions(505);
   upsilon_pt__16->GetXaxis()->SetLabelFont(132);
   upsilon_pt__16->GetXaxis()->SetLabelOffset(0.01);
   upsilon_pt__16->GetXaxis()->SetLabelSize(0.06);
   upsilon_pt__16->GetXaxis()->SetTitleSize(0.072);
   upsilon_pt__16->GetXaxis()->SetTitleOffset(0.95);
   upsilon_pt__16->GetXaxis()->SetTitleFont(132);
   upsilon_pt__16->GetYaxis()->SetTitle("d#it{#sigma}/d#it{p}_{T}/#it{#sigma}_{tot} [(GeV/#it{c})^{-1}]");
   upsilon_pt__16->GetYaxis()->SetLabelFont(132);
   upsilon_pt__16->GetYaxis()->SetLabelOffset(0.01);
   upsilon_pt__16->GetYaxis()->SetLabelSize(0.06);
   upsilon_pt__16->GetYaxis()->SetTitleSize(0.072);
   upsilon_pt__16->GetYaxis()->SetTitleOffset(1.05);
   upsilon_pt__16->GetYaxis()->SetTitleFont(132);
   upsilon_pt__16->GetZaxis()->SetLabelFont(132);
   upsilon_pt__16->GetZaxis()->SetLabelSize(0.06);
   upsilon_pt__16->GetZaxis()->SetTitleSize(0.072);
   upsilon_pt__16->GetZaxis()->SetTitleOffset(1);
   upsilon_pt__16->GetZaxis()->SetTitleFont(132);
   upsilon_pt__16->Draw("");
   
   Double_t Graph0_fx16[14] = {
   0,
   1,
   3,
   5,
   7,
   9,
   11,
   13,
   15,
   17,
   19,
   21,
   23,
   24};
   Double_t Graph0_fy16[14] = {
   0,
   0.07118538,
   0.1332254,
   0.1151638,
   0.07633131,
   0.04497364,
   0.02617377,
   0.01431177,
   0.008108531,
   0.004841145,
   0.002972806,
   0.001614298,
   0.001098193,
   0.000840141};
   TGraph *graph = new TGraph(14,Graph0_fx16,Graph0_fy16);
   graph->SetName("Graph0");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);

   Int_t ci;      // for color index setting
   TColor *color; // for color definition with alpha
   ci = TColor::GetColor("#ff0000");
   graph->SetLineColor(ci);
   graph->SetLineWidth(4);

   ci = TColor::GetColor("#ff0000");
   graph->SetMarkerColor(ci);
   graph->SetMarkerStyle(20);
   graph->Draw("s c");
   Double_t xAxis2[10] = {0, 1.5, 2.5, 4, 6, 8, 11, 14.5, 18.5, 24}; 
   
   TH1F *upsilon_pt__17 = new TH1F("upsilon_pt__17","",9, xAxis2);
   upsilon_pt__17->SetBinContent(1,0.03805777);
   upsilon_pt__17->SetBinContent(2,0.1040179);
   upsilon_pt__17->SetBinContent(3,0.2133798);
   upsilon_pt__17->SetBinContent(4,0.07187285);
   upsilon_pt__17->SetBinContent(5,0.0842895);
   upsilon_pt__17->SetBinContent(6,0.03953669);
   upsilon_pt__17->SetBinContent(7,0.006962734);
   upsilon_pt__17->SetBinContent(8,0.008826174);
   upsilon_pt__17->SetBinContent(9,0.005130309);
   upsilon_pt__17->SetBinContent(10,2.159166e-05);
   upsilon_pt__17->SetBinError(1,0.02800142);
   upsilon_pt__17->SetBinError(2,0.04979432);
   upsilon_pt__17->SetBinError(3,0.05932143);
   upsilon_pt__17->SetBinError(4,0.0325814);
   upsilon_pt__17->SetBinError(5,0.04613682);
   upsilon_pt__17->SetBinError(6,0.01570424);
   upsilon_pt__17->SetBinError(7,0.005356251);
   upsilon_pt__17->SetBinError(8,0.006010229);
   upsilon_pt__17->SetBinError(9,0.004005601);
   upsilon_pt__17->SetBinError(10,2.159166e-05);
   upsilon_pt__17->SetMinimum(0);
   upsilon_pt__17->SetMaximum(0.3);
   upsilon_pt__17->SetEntries(31.77295);
   upsilon_pt__17->SetStats(0);
   upsilon_pt__17->SetLineWidth(2);
   upsilon_pt__17->SetMarkerStyle(20);
   upsilon_pt__17->GetXaxis()->SetTitle("#it{p}_{T}(#it{#varUpsilon}(1#it{S})) [GeV/#it{c}]");
   upsilon_pt__17->GetXaxis()->SetNdivisions(505);
   upsilon_pt__17->GetXaxis()->SetLabelFont(132);
   upsilon_pt__17->GetXaxis()->SetLabelOffset(0.01);
   upsilon_pt__17->GetXaxis()->SetLabelSize(0.06);
   upsilon_pt__17->GetXaxis()->SetTitleSize(0.072);
   upsilon_pt__17->GetXaxis()->SetTitleOffset(0.95);
   upsilon_pt__17->GetXaxis()->SetTitleFont(132);
   upsilon_pt__17->GetYaxis()->SetTitle("d#it{#sigma}/d#it{p}_{T}/#it{#sigma}_{tot} [(GeV/#it{c})^{-1}]");
   upsilon_pt__17->GetYaxis()->SetLabelFont(132);
   upsilon_pt__17->GetYaxis()->SetLabelOffset(0.01);
   upsilon_pt__17->GetYaxis()->SetLabelSize(0.06);
   upsilon_pt__17->GetYaxis()->SetTitleSize(0.072);
   upsilon_pt__17->GetYaxis()->SetTitleOffset(1.05);
   upsilon_pt__17->GetYaxis()->SetTitleFont(132);
   upsilon_pt__17->GetZaxis()->SetLabelFont(132);
   upsilon_pt__17->GetZaxis()->SetLabelSize(0.06);
   upsilon_pt__17->GetZaxis()->SetTitleSize(0.072);
   upsilon_pt__17->GetZaxis()->SetTitleOffset(1);
   upsilon_pt__17->GetZaxis()->SetTitleFont(132);
   upsilon_pt__17->Draw("sames");
   
   Double_t Graph1_fx17[26] = {
   0,
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10.5,
   11.5,
   12.5,
   13.5,
   14.5,
   15.5,
   16.5,
   17.5,
   18.5,
   19.5,
   20.5,
   21.5,
   22.5,
   23.5,
   24};
   Double_t Graph1_fy17[26] = {
   0,
   0.05757991,
   0.1144335,
   0.1379039,
   0.1360747,
   0.1206956,
   0.09989534,
   0.07992008,
   0.06219603,
   0.04707649,
   0.03550853,
   0.0274411,
   0.02059758,
   0.01498835,
   0.01118573,
   0.00861372,
   0.006273397,
   0.005108019,
   0.003901357,
   0.003079034,
   0.002429258,
   0.001569989,
   0.00143898,
   0.001090061,
   0.0009993509,
   0.0009539957};
   graph = new TGraph(26,Graph1_fx17,Graph1_fy17);
   graph->SetName("Graph1");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);

   ci = TColor::GetColor("#009900");
   graph->SetLineColor(ci);
   graph->SetLineStyle(9);
   graph->SetLineWidth(3);

   ci = TColor::GetColor("#009900");
   graph->SetMarkerColor(ci);
   graph->SetMarkerStyle(20);
   graph->Draw("s c");
   
   Double_t Graph2_fx18[26] = {
   0,
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10.5,
   11.5,
   12.5,
   13.5,
   14.5,
   15.5,
   16.5,
   17.5,
   18.5,
   19.5,
   20.5,
   21.5,
   22.5,
   23.5,
   24};
   Double_t Graph2_fy18[26] = {
   0,
   0.07106635,
   0.1515766,
   0.1635031,
   0.1426736,
   0.1138717,
   0.08773145,
   0.06683883,
   0.05022807,
   0.03742348,
   0.02799974,
   0.0213983,
   0.01610737,
   0.011894,
   0.009088378,
   0.006883982,
   0.005136109,
   0.004149403,
   0.003187012,
   0.00258495,
   0.002040458,
   0.001488725,
   0.001229715,
   0.001026478,
   0.0008722174,
   0.0007950871};
   graph = new TGraph(26,Graph2_fx18,Graph2_fy18);
   graph->SetName("Graph2");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);

   ci = TColor::GetColor("#0000ff");
   graph->SetLineColor(ci);
   graph->SetLineStyle(2);
   graph->SetLineWidth(4);

   ci = TColor::GetColor("#0000ff");
   graph->SetMarkerColor(ci);
   graph->SetMarkerStyle(20);
   graph->Draw("s c ");
   Double_t xAxis3[10] = {0, 1.5, 2.5, 4, 6, 8, 11, 14.5, 18.5, 24}; 
   
   TH1F *upsilon_pt__18 = new TH1F("upsilon_pt__18","",9, xAxis3);
   upsilon_pt__18->SetBinContent(1,0.03805777);
   upsilon_pt__18->SetBinContent(2,0.1040179);
   upsilon_pt__18->SetBinContent(3,0.2133798);
   upsilon_pt__18->SetBinContent(4,0.07187285);
   upsilon_pt__18->SetBinContent(5,0.0842895);
   upsilon_pt__18->SetBinContent(6,0.03953669);
   upsilon_pt__18->SetBinContent(7,0.006962734);
   upsilon_pt__18->SetBinContent(8,0.008826174);
   upsilon_pt__18->SetBinContent(9,0.005130309);
   upsilon_pt__18->SetBinContent(10,2.159166e-05);
   upsilon_pt__18->SetBinError(1,0.02800142);
   upsilon_pt__18->SetBinError(2,0.04979432);
   upsilon_pt__18->SetBinError(3,0.05932143);
   upsilon_pt__18->SetBinError(4,0.0325814);
   upsilon_pt__18->SetBinError(5,0.04613682);
   upsilon_pt__18->SetBinError(6,0.01570424);
   upsilon_pt__18->SetBinError(7,0.005356251);
   upsilon_pt__18->SetBinError(8,0.006010229);
   upsilon_pt__18->SetBinError(9,0.004005601);
   upsilon_pt__18->SetBinError(10,2.159166e-05);
   upsilon_pt__18->SetMinimum(0);
   upsilon_pt__18->SetMaximum(0.3);
   upsilon_pt__18->SetEntries(31.77295);
   upsilon_pt__18->SetStats(0);
   upsilon_pt__18->SetLineWidth(2);
   upsilon_pt__18->SetMarkerStyle(20);
   upsilon_pt__18->GetXaxis()->SetTitle("#it{p}_{T}(#it{#varUpsilon}(1#it{S})) [GeV/#it{c}]");
   upsilon_pt__18->GetXaxis()->SetNdivisions(505);
   upsilon_pt__18->GetXaxis()->SetLabelFont(132);
   upsilon_pt__18->GetXaxis()->SetLabelOffset(0.01);
   upsilon_pt__18->GetXaxis()->SetLabelSize(0.06);
   upsilon_pt__18->GetXaxis()->SetTitleSize(0.072);
   upsilon_pt__18->GetXaxis()->SetTitleOffset(0.95);
   upsilon_pt__18->GetXaxis()->SetTitleFont(132);
   upsilon_pt__18->GetYaxis()->SetTitle("d#it{#sigma}/d#it{p}_{T}/#it{#sigma}_{tot} [(GeV/#it{c})^{-1}]");
   upsilon_pt__18->GetYaxis()->SetLabelFont(132);
   upsilon_pt__18->GetYaxis()->SetLabelOffset(0.01);
   upsilon_pt__18->GetYaxis()->SetLabelSize(0.06);
   upsilon_pt__18->GetYaxis()->SetTitleSize(0.072);
   upsilon_pt__18->GetYaxis()->SetTitleOffset(1.05);
   upsilon_pt__18->GetYaxis()->SetTitleFont(132);
   upsilon_pt__18->GetZaxis()->SetLabelFont(132);
   upsilon_pt__18->GetZaxis()->SetLabelSize(0.06);
   upsilon_pt__18->GetZaxis()->SetTitleSize(0.072);
   upsilon_pt__18->GetZaxis()->SetTitleOffset(1);
   upsilon_pt__18->GetZaxis()->SetTitleFont(132);
   upsilon_pt__18->Draw("sames");
   TLatex *   tex = new TLatex(0.65,0.8,"LHCb 13 TeV");
tex->SetNDC();
   tex->SetTextAlign(12);
   tex->SetTextFont(132);
   tex->SetTextSize(0.06);
   tex->SetLineWidth(2);
   tex->Draw();
      tex = new TLatex(0.65,0.722,"#it{L}_{int} = 4.18 fb^{-1}");
tex->SetNDC();
   tex->SetTextAlign(12);
   tex->SetTextFont(132);
   tex->SetTextSize(0.06);
   tex->SetLineWidth(2);
   tex->Draw();
   c1->Modified();
   c1->cd();
   c1->SetSelected(c1);
}
